package com.genlot.ninglottery.module.report.adapter;

import android.support.annotation.NonNull;
import android.support.annotation.Nullable;

import com.chad.library.adapter.base.BaseQuickAdapter;
import com.chad.library.adapter.base.BaseViewHolder;
import com.genlot.ninglottery.R;
import com.genlot.ninglottery.module.report.bean.ReportBean;

import java.util.List;

/**
 * @author ZhuYongKang
 * @description 类描述
 * @date 2019/9/17
 */
public class ReportBankAdapter extends BaseQuickAdapter<ReportBean, BaseViewHolder> {

    public ReportBankAdapter(int layoutResId, @Nullable List<ReportBean> data) {
        super(layoutResId, data);
    }

    @Override
    protected void convert(@NonNull BaseViewHolder helper, ReportBean item) {
        helper.setText(R.id.tv_left, item.getTitle());
        helper.setText(R.id.tv_mid, item.getNum());
        helper.setText(R.id.tv_right, item.getMoney());
    }
}
